textures/specula/screen_black_map_b3
{
	qer_editorimage textures/specula/map_b3.jpg

	surfaceparm nolightmap
	{
		map textures/specula/map_b3.jpg
	}
}

textures/specula/screen_trans_artillery
{
	qer_editorimage textures/specula/screen_artillery.jpg

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
        cull none
	{
		map textures/specula/screen_artillery.jpg
		blendfunc add
	}
}

textures/specula/screen_trans_energy
{
	qer_editorimage textures/specula/screen_energy.jpg

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
        cull none
	{
		map textures/specula/screen_energy.jpg
		blendfunc add
	}
}

textures/specula/screen_trans_lorem
{
	qer_editorimage textures/specula/screen_lorem.jpg

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
        cull none
	{
		map textures/specula/screen_lorem.jpg
		blendfunc add
	}
}

textures/specula/screen_trans_tetris
{
	qer_editorimage textures/specula/screen_tetris.jpg

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
        cull none
	{
		map textures/specula/screen_tetris.jpg
		blendfunc add
	}
}

textures/specula/lightfield_white
{
	qer_editorimage textures/specula/white.jpg
	q3map_surfacelight 2000
	{
		map textures/specula/white.jpg
	}

}

textures/specula/e6grtfloorceil_nonsolid
{
	qer_editorimage textures/specula/e6grtfloorceil.jpg
	surfaceparm nonsolid
	{
		map textures/specula/e6grtfloorceil.jpg
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}

textures/specula/proto_lightred_64_nonsolid_300
{
	qer_editorimage textures/specula/proto_lightred_64.jpg
	surfaceparm nonsolid
	q3map_surfacelight 300
	{
		map textures/specula/proto_lightred_64.jpg
	}
}


textures/specula/vehicle_tracks
{
	qer_editorimage textures/specula/e8trimlight_edge.jpg

	{
		map textures/specula/e8trimlight_edge.jpg
		tcMod scroll 0 -56
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}


textures/specula/mist_s
{
	entityMergable
	cull none
	{
		map textures/specula/mist.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}

textures/specula/void
{
	qer_editorimage textures/specula/black.jpg
    	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm noimpact
	{
		map textures/specula/black.jpg
	}
}

textures/specula/laser
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	{
		map textures/specula/red.jpg
		blendfunc add
	}
}

textures/specula/fog
{
	qer_editorimage textures/specula/black.jpg
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.6
	fogparms ( 255 255 255 ) 512
}

//****************************************************//
//                                                    //
//      siege.shader for GTKRadiant                   //
//      by Amethyst7 - 06.12.2001                     //
//                                                    //
//****************************************************//

textures/specula/siege_skybox
{
	qer_editorimage textures/specula/siege/siege
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1.00 1.00 0.965 75 0 30
	q3map_surfacelight 100
	skyparms env/specula/siege/siege - -
	{
		map textures/specula/siege/clouds.jpg
		blendFunc filter
		tcMod scroll 0.005 0.005
		tcMod scale 2 2
	}
}